/****************************************************************************

	Honey Information Terminal
		Copyright(C) 2011 Mr.Honey

****************************************************************************/
#ifndef _HARDWARE_PROFILE_H
#define _HARDWARE_PROFILE_H

#include "HoneyBoard.h"

// Clock frequency values
#define GetSystemClock()		(SYS_CLOCK)
#define GetInstructionClock()	(GetSystemClock()/1)	// for PIC32
#define GetPeripheralClock()	(GetSystemClock()/1)	// for PIC32

// MRF24WB0M
#define WF_CS_TRIS			_WF_CS_TRIS
#define WF_CS_IO			_WF_CS_IO
#define WF_SDI_TRIS			_WF_SDI_TRIS
#define WF_SCK_TRIS			_WF_SCK_TRIS
#define WF_SDO_TRIS			_WF_SDO_TRIS
#define WF_RESET_TRIS		_WF_RESET_TRIS
#define WF_RESET_IO			_WF_RESET_IO
#define WF_HIBERNATE_TRIS	_WF_HIBERNATE_TRIS
#define WF_HIBERNATE_IO		_WF_HIBERNATE_IO
#define WF_INT_TRIS			_WF_INT_TRIS
#define WF_INT_IO			_WF_INT_IO
#define WF_INT_EDGE			_WF_INT_EDGE
#define WF_INT_IE			_WF_INT_IE
#define WF_INT_IF			_WF_INT_IF
#define WF_INT_IE_CLEAR		_WF_INT_IE_CLEAR
#define WF_INT_IF_CLEAR		_WF_INT_IF_CLEAR
#define WF_INT_IE_SET		_WF_INT_IE_SET
#define WF_INT_IF_SET		_WF_INT_IF_SET
#define WF_INT_BIT			_WF_INT_BIT
#define WF_INT_IPCSET		_WF_INT_IPCSET
#define WF_INT_IPCCLR		_WF_INT_IPCCLR
#define WF_INT_IPC_MASK		_WF_INT_IPC_MASK
#define WF_INT_IPC_VALUE	_WF_INT_IPC_VALUE
	
#define WF_SSPBUF			_WF_SSPBUF
#define WF_SPISTAT			_WF_SPISTAT
#define WF_SPISTATbits		_WF_SPISTATbits
#define WF_SPICON1			_WF_SPICON1
#define WF_SPICON1bits		_WF_SPICON1bits
#define WF_SPI_IE_CLEAR		_WF_SPI_IE_CLEAR
#define WF_SPI_IF_CLEAR		_WF_SPI_IF_CLEAR
#define WF_SPI_INT_BITS		_WF_SPI_INT_BITS
#define WF_SPI_BRG			_WF_SPI_BRG
#define WF_MAX_SPI_FREQ		_WF_MAX_SPI_FREQ

// UART
#define BusyUART()			_BusyUART()
#define CloseUART()			_CloseUART()
#define ConfigIntUART(a)	_ConfigIntUART(a)
#define DataRdyUART()		_DataRdyUART()
#define OpenUART(a,b,c)		_OpenUART(a,b,c)
#define ReadUART()			_ReadUART()
#define WriteUART(a)		_WriteUART(a)
#define getsUART(a,b,c)		_getsUART(a,b,c)
#define putsUART(a)			_putsUART(a)
#define getcUART()			_getcUART()
#define putcUART(a)			do{while(BusyUART()); WriteUART(a); while(BusyUART()); }while(0)
#define putrsUART(a)		_putrsUART(a)

// Helper Timer
#define HT_TCON				_HT_TCON
#define HT_TMR				_HT_TMR
#define HT_PR				_HT_PR

#endif //_HARDWARE_PROFILE_H
